## org.eclipse.datatools.modelbase.sql.tables
Class ReferenceType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.tables.ReferenceType

public final class ReferenceType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Reference Type', and utility methods for working with them.

See Also:
  `SQLTablesPackage.getReferenceType()`, Serialized Form

Field Summary
`static int` `DERIVED_SELF_REF` The 'DERIVED SELF REF' literal value.
`static ReferenceType` `DERIVED_SELF_REF_LITERAL` The 'DERIVED SELF REF' literal object.
`static int` `SYSTEM_GENERATED` The 'SYSTEM GENERATED' literal value.
`static ReferenceType` `SYSTEM_GENERATED_LITERAL` The 'SYSTEM GENERATED' literal object.
`static int` `USER_GENERATED` The 'USER GENERATED' literal value.
`static ReferenceType` `USER_GENERATED_LITERAL` The 'USER GENERATED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Reference Type' enumerators.

Method Summary
`static ReferenceType` `get(int value)` Returns the 'Reference Type' literal with the specified value.
`static ReferenceType` `get(java.lang.String name)` Returns the 'Reference Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_GENERATED

    public static final int SYSTEM_GENERATED

  The 'SYSTEM GENERATED' literal value.

  See Also:
    `SYSTEM_GENERATED_LITERAL`, Constant Field Values

### USER_GENERATED

    public static final int USER_GENERATED

  The 'USER GENERATED' literal value.

  See Also:
    `USER_GENERATED_LITERAL`, Constant Field Values

### DERIVED_SELF_REF

    public static final int DERIVED_SELF_REF

  The 'DERIVED SELF REF' literal value.

  See Also:
    `DERIVED_SELF_REF_LITERAL`, Constant Field Values

### SYSTEM_GENERATED_LITERAL

    public static final ReferenceType SYSTEM_GENERATED_LITERAL

  The 'SYSTEM GENERATED' literal object.

  If the meaning of 'SYSTEM GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYSTEM_GENERATED`

### USER_GENERATED_LITERAL

    public static final ReferenceType USER_GENERATED_LITERAL

  The 'USER GENERATED' literal object.

  If the meaning of 'USER GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USER_GENERATED`

### DERIVED_SELF_REF_LITERAL

    public static final ReferenceType DERIVED_SELF_REF_LITERAL

  The 'DERIVED SELF REF' literal object.

  If the meaning of 'DERIVED SELF REF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DERIVED_SELF_REF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Reference Type' enumerators.

Method Detail

### get

    public static ReferenceType get(java.lang.String name)

  Returns the 'Reference Type' literal with the specified name.

### get

    public static ReferenceType get(int value)

  Returns the 'Reference Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.